tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Dmitri Colebatch <...@bigpond.net.au>
Subject Re: Conflict between tomcat 3.2 libraries and application libs
Date Thu, 18 Oct 2001 07:00:23 GMT
Upgrading to tomcat 4 (or maybe 3.3 as well, I'm not sure what it
does with classpath tho) would do the trick, but I'm not sure if that is
an option.  What you are experiencing is a common issue with 3.2, and the
approach you are taking is basically the common fix.

cheers
dim

On Thu, 18 Oct 2001, David Pedrotti wrote:

> I am experiencing conflict with libraries in the tomcat\lib directory
> and the application\WEB-INF\lib directory.
> 
> Specifically the web application needs to use a more recent version of
> jaxp.jar than the one deployed with tomcat 3.2 but sees the one in
> tomcat\lib first. Updating the one in tomcat\lib causes problems with
> tomcat (I am looking for a more flexible solution than this!).
> 
> Is there a way of configuring tomcat so that the application libraries
> are used first or some other way around the problem?
> 
> Does anyone know the solution to this problem.
> 
> TIA
> Dave...
> ---------------------------------------------------------------
> David Pedrotti           Tel:      (08) 9486 8500
> Beacon Technology        Fax:      (08) 9486 8566
> 1 Howard Street          E-mail:   david.pedrotti@beacon.com.au
> Perth, WA 6000           Web Site: www.beacon.com.au
> 
> 
> 


Mime
View raw message